#!/usr/bin/env python
#-*- coding: utf-8 -*-

import os
from Ui_img_win import *

class ImgWin(QtGui.QMainWindow,  Ui_ImgWindow):
    img_path = None #cesta k obrázku
    img_dir_contents = []  #obsah adresáře s obrázkama
    image = None #zrovna zobrazený obrázek
    cur_img = 0 #aktuální obrázek
    mode = "optimal"
    scale = 1 #měřítko
    
    def __init__(self):
        QtGui.QMainWindow.__init__(self)
        self.setupUi(self)
        self.imgWidget.img_path = self.img_path
        
        self.connect(self.pushOptimal, QtCore.SIGNAL("clicked()"), self.rescale_optimal)
        self.connect(self.push100, QtCore.SIGNAL("clicked()"), self.rescale_100)
        self.connect(self.pushNext, QtCore.SIGNAL("clicked()"), self.next_img)
        self.connect(self.pushPrev, QtCore.SIGNAL("clicked()"), self.prev_img)
        
    def next_img(self):
        try:
            #self.display_image(os.path.dirname(img_path) + self.img_dir_contents[cur_img + 1])
            pass
        except IndexError:
            pass
        
    def prev_img(self):
        try:
            #self.display_image(os.path.dirname(img_path) + self.img_dir_contents[cur_img - 1])
            pass
        except IndexError:
            pass
        
    def rescale_optimal (self) :
        self.mode = "optimal"
        self.update()
        
    def rescale_100(self):
        self.mode = "1:1"
        self.update()
    
    def display_image(self, path):
        """Zobrazí obrázek"""
        #self.cur_img = self.img_dir_contents.index(os.path.basename(self.img_path))
        self.img_path = path
        self.imgWidget.img_path = self.img_path
        self.img_dir_contents = os.listdir(os.path.dirname(path))
        self.cur_img = 0
        cur_img = 0
        self.lblStatus.setText(u"Adresář: " + os.path.dirname(self.img_path) + u" Obrázků: " + str(len(self.img_dir_contents)) + u" Aktuální: " + str(cur_img+1))
        
    def paintEvent(self,  event):
        """Stará se o vykreslení obrázku"""
        if self.img_path != None:
            painter = QtGui.QPainter(self)
            self.image = QtGui.QImage(self.img_path)
            
            if self.mode == "optimal":
                painter.drawImage(0, 0, self.image.scaledToWidth(self.width()))
            elif self.mode == "1:1":
                painter.drawImage(0, 0, self.image)
